aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndrew G. Morgan <morgan@kernel.org>2020-10-25 08:00:24 -0700
committerAndrew G. Morgan <morgan@kernel.org>2020-10-25 08:00:24 -0700
commit1d03d736252237edd364142bd034715d743ace0b (patch)
tree29922c829e777761377b8927baa6bde08bdcf56f
parent481ca7b508ad0245468146343b1d3be94470a024 (diff)
downloadlibcap-1d03d736252237edd364142bd034715d743ace0b.tar.gz
Lessen the system requirements for running make sudotest
I have one old distribution system that couldn't handle [[ ... ]] conditions in Makefiles. Signed-off-by: Andrew G. Morgan <morgan@kernel.org>
-rw-r--r--tests/Makefile4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/Makefile b/tests/Makefile
index 9ab9766..64af42e 100644
--- a/tests/Makefile
+++ b/tests/Makefile
@@ -53,9 +53,9 @@ libcap_launch_test: libcap_launch_test.c $(DEPS)
# that link against libcap.
run_exploit_test: exploit noexploit
@echo exploit should succeed
- sudo ./exploit ; if [[ $$? -ne 0 ]]; then exit 0; else exit 1 ; fi
+ sudo ./exploit ; if [ $$? -ne 0 ]; then exit 0; else exit 1 ; fi
@echo exploit should fail
- sudo ./noexploit ; if [[ $$? -eq 0 ]]; then exit 0; else exit 1 ; fi
+ sudo ./noexploit ; if [ $$? -eq 0 ]; then exit 0; else exit 1 ; fi
exploit.o: exploit.c
$(CC) $(CFLAGS) $(IPATH) -c $<